@echo OFF

REM  AtCopy.bat - batch file to copy a text file, which works just like
REM              a normal copy except that lines in the source file
REM              that start with "@" refer to a file to copy at that
REM              point.
REM  USAGE FCompact: SourceFile DestinationFile
REM  IF argument are not supplied then will prompt for them

REM  GET THE NAME OF THE RESULT FILE
SET RESULT_FILE=%2
IF NOT "%2"=="" GOTO HAVE_RESULT
CEnvi printf("Result file name: "); RESULT_FILE = gets();
:HAVE_RESULT

REM  GET THE NAME OF THE SOURCE FILE LIST
SET SOURCE_FILES=%1
IF NOT "%1"=="" GOTO HAVE_SOURCE
CEnvi printf("Source file list name: "); SOURCE_FILES = gets();
:HAVE_SOURCE

REM  CHECK THAT THE SOURCE FILE LIST EXISTS
IF EXIST %SOURCE_FILES% GOTO SOURCE_IS_OK
ECHO %SOURCE_FILES% FILE NOT FOUND
GOTO FINI
:SOURCE_IS_OK


REM   START WITH AN EMPTY RESULT FILE
CEnvi fopen("%RESULT_FILE%","wb");

REM   FINALLY USE DOS'S COPY + TO APPEND ALL FILES TOGETHER
REM   DO THIS BY USING SOURCE_FILE AS INPUT TO SHORT CENVI PROGRAM
REM   USE FIRST LINE IF BINARY FILES, SECOND IF TEXT FILES
TYPE %SOURCE_FILES% | CEnvi %0.BAT
GOTO CENVI_EXIT

   // copy each line to destination
   while ( line = gets() ) {
      if ( '@' == line[0] ) {
         // this is the name of a file to copy
         printf("TYPE %s >> %s\n",line+1,RESULT_FILE);
         system("TYPE %s >> %s",line+1,RESULT_FILE);
      } else {
         // just copy this plain line
         fp = fopen(RESULT_FILE,"a");
         printf("WRITE: %s>> %s\n",line,RESULT_FILE);
         fprintf(fp,"%s\n",line);
         fclose(fp);
      }
   }

:CENVI_EXIT

:FINI
SET RESULT_FILE=
SET SOURCE_FILES=
