@echo off
REM *******************************************************
REM *** XCopyNum.bat - Perform XCOPY command with these ***
REM *** ver.1          exceptions. Only print number of ***
REM ***                files copied, and if there's an  ***
REM ***                error then pause and show error. ***
REM *******************************************************

SET XCOPY_CMD=XCOPY %1 %2 %3 %4 %5 %6 %7 %8 %9
SET BAD_FILE=%TEMP%\~XCPYERR.TMP
SET GOOD_FILE=%TEMP%\~XCPYOUT.TMP

CENVI %0.bat

GOTO CENVI_EXIT

   // redirect stderr to a file in the temporary directory
   if ( NULL == freopen(BAD_FILE,"wt",stderr) ) {
      printf("\aCould not open temp file \"%s\"\n",BAD_FILE);
      return 0;
   }

   // perform system XCOPY call
   system("%s > %s",XCOPY_CMD,GOOD_FILE);

   // IF NO ERROR THEN REMOVE BAD_FILE
   if ( (dir=Directory(BAD_FILE)) && !dir[0].size )
      remove(BAD_FILE);

:CENVI_EXIT

REM *** PRINT OUTPUT FILE
TYPE %GOOD_FILE%

REM *** GET OUTPUT FILE COUNT INTO COUNT ENVIRONMENT VARIABLE
TYPE %GOOD_FILE% | find "file(s) copied" | CEnvi COUNT=atoi(gets())
ECHO COUNT VARIABLE IS NOW SET TO %COUNT%

REM *** IF EXIT BAD FILE THEN ERROR AND SHOW IT
IF NOT EXIST %BAD_FILE% GOTO BYE_BYE
ECHO ERROR DURING XCOPY:
TYPE %BAD_FILE%
PAUSE
DEL %BAD_FILE%

:BYE_BYE
REM *** CLEAN UP, BUT LEAVE COUNT VARIABLE SET
SET XCOPY_CMD=
SET BAD_FILE=
DEL %GOOD_FILE%
SET GOOD_FILE=
